cascading.tuple.io

## Class ValueIndexTuple

- java.lang.Object
- - cascading.tuple.Tuple
  - - cascading.tuple.io.IndexTuple
    - - cascading.tuple.io.ValueIndexTuple

- All Implemented Interfaces:
    Serializable, Comparable<Object>, Iterable<Object>

      public class ValueIndexTuple
      extends IndexTuple

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class cascading.tuple.Tuple

      `elements, isUnmodifiable, NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueIndexTuple()`
    `ValueIndexTuple(int index, Tuple tuple)`

  - ### Method Summary

    - ### Methods inherited from class cascading.tuple.io.IndexTuple

      `compareTo, compareTo, equals, getIndex, getTuple, hashCode, print, printTo, setIndex, setTuple, toString`

    - ### Methods inherited from class cascading.tuple.Tuple

      `add, add, addAll, addAll, addBoolean, addDouble, addFloat, addInteger, addLong, addShort, addString, append, clear, compareTo, compareTo, elements, format, get, get, getBoolean, getChar, getDouble, getFloat, getInteger, getLong, getObject, getPos, getShort, getString, getTypes, internalSet, isEmpty, isUnmodifiable, iterator, leave, put, remove, remove, set, set, set, setAll, setAll, setBoolean, setDouble, setFloat, setInteger, setLong, setShort, setString, size, size, size, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueIndexTuple

          public ValueIndexTuple()

    - #### ValueIndexTuple

          public ValueIndexTuple(int index,
                         Tuple tuple)

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.